using System;

namespace Zadatak2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] ulaz1 = Console.ReadLine().Split(' ');
            int n = Convert.ToInt32(ulaz1[0]);
            int m = Convert.ToInt32(ulaz1[1]);

            int[] druzeljubivost = new int[n+1];
            for(int i = 1; i < n + 1; i++) druzeljubivost[i] = int.Parse(Console.ReadLine());

            long zbir = 0;
            int lik1, lik2;
            for(int i = 1; i < m + 1; i++)
            {
                string[] ulaz2 = Console.ReadLine().Split(' ');
                lik1 = Convert.ToInt32(ulaz2[0]);
                lik2 = Convert.ToInt32(ulaz2[1]);

                if (druzeljubivost[lik1] + druzeljubivost[lik2] > 0) zbir = zbir + druzeljubivost[lik1] + druzeljubivost[lik2];
                else zbir = zbir - druzeljubivost[lik1] - druzeljubivost[lik2];
            }
            Console.WriteLine(zbir);
        }
    }
}